#!/usr/bin/python
# This is a script that parses ssearch output.

import sys
import os
import array


if len(sys.argv) != 3:
	tmpArr = sys.argv[0].split("/")
	print "\nUsage : [1m"+tmpArr[len(tmpArr)-1]+"[0m",
	print "[ssearch file] [output file name]\n"
	sys.exit()

fp_in    = open(sys.argv[1], "r")
fp_out   = open(sys.argv[2], "w")


if __name__=="__main__":
	
	query_name = ""
	db_name    = ""
	eval       = ""
	match_len  = 0
	flag       = 0
	
	while 1:
		lineStr =  fp_in.readline()	
		if not (lineStr):
			break
			
		if( lineStr.strip() == '' ):
			continue
			
		if ">>>" in lineStr :
			if flag == 1 :
				fp_out.write(query_name+"\t"+db_name+"\t"+eval+"\n")
				
			tmpArr = lineStr.strip().split()
			tmpArr = tmpArr[0].split(">>>")
			query_name = tmpArr[1]
			flag       = 0
			match_len  = 0
			continue
			
		if ">>" == lineStr[0:2] :
			if flag == 1 :
				fp_out.write(query_name+"\t"+db_name+"\t"+eval+"\n")
			tmpArr  = lineStr[2:].split()
			db_name = tmpArr[0]
			
			lineStr = fp_in.readline()	
			tmpArr  = lineStr.strip().split()
			eval    = tmpArr[len(tmpArr)-1]
			
			lineStr = fp_in.readline()	
			tmpArr  = lineStr.strip()[:-1].split(":")
			tmpArr  = tmpArr[len(tmpArr)-1].split("-")
			match_len = int(tmpArr[1]) - int(tmpArr[0]) + 1
			
			flag    = 1

	if flag == 1 :
		fp_out.write(query_name+"\t"+db_name+"\t"+eval+"\n")
		
	
